Bug 110661 - sgi xfs (in kernel or module (xfs.o)) missing
sgi xfs (in kernel or module (xfs.o)) missing
Status: CLOSED DUPLICATE of bug 112628
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
: FutureFeature
Depends On: 66513
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-22 09:18 EST by Ales Ledvinka
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:00:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Ledvinka 2003-11-22 09:18:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.4b)
Gecko/20030516 Mozilla Firebird/0.6

Description of problem:
see additional informations of this bug report for patch against
kernel-source which comes with fedora core 1.

lightly tested: i686 VIA C3 Samuel2 (uniprocessor) ro(56G) and rw(1G).
just mount and some directory traversal, reading (and copying).

not tested any xfs_utils/attr/acl programs

sorry but i don't have the nerves to ruin my filesystem and have no
space for backups


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install fedora core 1
2.find /lib/modules -iname xfs.o
3.cat /proc/filesystems
4.see xfs is missing and restart whith step 1 ;)
    

Additional info:

diff -rNc linux-2.4.22-1.2115.nptl/fs/xfs/linux/xfs_syncd.c
linux-2.4.22-1.2115.nptl.modified/fs/xfs/linux/xfs_syncd.c
*** linux-2.4.22-1.2115.nptl/fs/xfs/linux/xfs_syncd.c	2003-10-29
21:18:32.000000000 +0100
--- linux-2.4.22-1.2115.nptl.modified/fs/xfs/linux/xfs_syncd.c
2003-11-11 19:33:49.000000000 +0100
***************
*** 49,58 ****
  
  	daemonize();
  	reparent_to_init();
! 	spin_lock_irq(&current->sigmask_lock);
  	sigfillset(&current->blocked);
! 	recalc_sigpending(current);
! 	spin_unlock_irq(&current->sigmask_lock);
  
  	sprintf(current->comm, "xfs_syncd");
  
--- 49,58 ----
  
  	daemonize();
  	reparent_to_init();
! 	spin_lock_irq(&current->sighand->siglock);
  	sigfillset(&current->blocked);
! 	recalc_sigpending();
! 	spin_unlock_irq(&current->sighand->siglock);
  
  	sprintf(current->comm, "xfs_syncd");
  
diff -rNc linux-2.4.22-1.2115.nptl/fs/xfs/pagebuf/page_buf.c
linux-2.4.22-1.2115.nptl.modified/fs/xfs/pagebuf/page_buf.c
*** linux-2.4.22-1.2115.nptl/fs/xfs/pagebuf/page_buf.c	2003-10-29
21:18:32.000000000 +0100
--- linux-2.4.22-1.2115.nptl.modified/fs/xfs/pagebuf/page_buf.c
2003-11-11 19:38:35.000000000 +0100
***************
*** 1920,1929 ****
  	daemonize();
  
  	/* Avoid signals */
! 	spin_lock_irq(&current->sigmask_lock);
  	sigfillset(&current->blocked);
! 	recalc_sigpending(current);
! 	spin_unlock_irq(&current->sigmask_lock);
  
  	/* Migrate to the right CPU */
  	migrate_to_cpu(cpu);
--- 1920,1929 ----
  	daemonize();
  
  	/* Avoid signals */
! 	spin_lock_irq(&current->sighand->siglock);
  	sigfillset(&current->blocked);
! 	recalc_sigpending();
! 	spin_unlock_irq(&current->sighand->siglock);
  
  	/* Migrate to the right CPU */
  	migrate_to_cpu(cpu);
***************
*** 2021,2030 ****
  	daemonize();
  
  	/* Avoid signals */
! 	spin_lock_irq(&current->sigmask_lock);
  	sigfillset(&current->blocked);
! 	recalc_sigpending(current);
! 	spin_unlock_irq(&current->sigmask_lock);
  
  	strcpy(current->comm, "pagebufd");
  	current->flags |= PF_MEMALLOC;
--- 2021,2030 ----
  	daemonize();
  
  	/* Avoid signals */
! 	spin_lock_irq(&current->sighand->siglock);
  	sigfillset(&current->blocked);
! 	recalc_sigpending();
! 	spin_unlock_irq(&current->sighand->siglock);
  
  	strcpy(current->comm, "pagebufd");
  	current->flags |= PF_MEMALLOC;
diff -rNc linux-2.4.22-1.2115.nptl/Makefile
linux-2.4.22-1.2115.nptl.modified/Makefile
*** linux-2.4.22-1.2115.nptl/Makefile	2003-10-29 21:41:16.000000000 +0100
--- linux-2.4.22-1.2115.nptl.modified/Makefile	2003-11-11
21:33:12.000000000 +0100
***************
*** 1,7 ****
  VERSION = 2
  PATCHLEVEL = 4
  SUBLEVEL = 22
! EXTRAVERSION = -1.2115.nptlcustom
  
  KERNELRELEASE=$(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION)
  
--- 1,7 ----
  VERSION = 2
  PATCHLEVEL = 4
  SUBLEVEL = 22
! EXTRAVERSION = -1.2115.nptl
  
  KERNELRELEASE=$(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION)
Comment 1 Ales Ledvinka 2004-02-23 19:01:43 EST

*** This bug has been marked as a duplicate of 112628 ***
Comment 2 Red Hat Bugzilla 2006-02-21 14:00:07 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.